Bug 254149 - Dragging xemacs window screws up in vnc
Dragging xemacs window screws up in vnc
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: xemacs (Show other bugs)
7
All Linux
low Severity low
: ---
: ---
Assigned To: Ville Skyttä
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-08-24 10:31 EDT by Robert Peterson
Modified: 2008-05-14 11:35 EDT (History)
2 users (show)

See Also:
Fixed In Version: F8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-14 11:35:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Result of moving the XEmacs window around a bit (58.33 KB, image/png)
2007-09-27 18:01 EDT, Ville Skyttä
no flags Details

  None (edit)
Description Robert Peterson 2007-08-24 10:31:26 EDT
Description of problem:
If I edit any file with xemacs from a vncviewer session, then drag the
window around, it gets all screwed up, even if the vncserver and viewer
are the same machine.  If I edit any file with xemacs but I'm NOT 
inside a vncviewer session, everything is fine and it doesn't get 
screwed up.  I can drag other product windows around a vncviewer 
screen with no problems, so it seems to only be xemacs having the 
problem.

This doesn't seem to be a vncviewer problem because I can use an FC6
client and drag xemacs to another FC6 vnc server and it works fine, but
the same FC6 vncviewer client fails if the vnc server is an F7 box.

It also doesn't seem to be a vncserver problem because it only seems to
happen when I use xemacs, not any other window.  It could be something
in X though.

Version-Release number of selected component (if applicable):
Fedora 7 -- recent
xemacs-21.5.28-3.fc7

How reproducible:
Always

Steps to Reproduce:
1. On an F7 machine, do vncserver
2. From the same machine use vncviewer and select your host name :1
3. From the vncviewer do: xemacs /tmp/anyfile &
4. Left-click and drag the xemacs screen around the screen
  
Actual results:
The xemacs window is repainted with random graphical garbage,

Expected results:
The xemacs window should be repainted properly.

Additional info:
I'm running on x86_64 and I'm using the nvidia proprietary display
driver, and dual monitors with xinerama.  Hopefully that doesn't
matter.  Hopefully it will recreate on any display driver.
My vnc window is started with vncserver -geometry 2500x940

This scenario worked properly on the same hardware when it was FC6,
before my recent upgrade to F7.  The box can dual-boot, so I can
probably reboot it back to the FC6 partition if you need to do any
experiments here.
Comment 1 Ville Skyttä 2007-09-27 17:59:54 EDT
Sorry for the delay.  Reproduced - although NVIDIA binary drivers on x86_64 in
use here too, but no dualhead.

Does the attached screenshot look like what you see?

I also get junk like this in the console when moving the XEmacs window around:

X Error of failed request:  BadValue (integer parameter out of range for operation)
  Major opcode of failed request:  91 (X_QueryColors)
  Value in failed request:  0xffffffff
  Serial number of failed request:  1210
  Current serial number in output stream:  1210
X Error of failed request:  BadValue (integer parameter out of range for operation)
  Major opcode of failed request:  91 (X_QueryColors)
  Value in failed request:  0xffffffff
  Serial number of failed request:  1212
  Current serial number in output stream:  1212
X Error of failed request:  BadValue (integer parameter out of range for operation)
  Major opcode of failed request:  91 (X_QueryColors)
  Value in failed request:  0xffffffff
  Serial number of failed request:  1266
  Current serial number in output stream:  1266
X Error of failed request:  BadValue (integer parameter out of range for operation)
  Major opcode of failed request:  91 (X_QueryColors)
  Value in failed request:  0xffffffff
  Serial number of failed request:  1268
  Current serial number in output stream:  1268
Comment 2 Ville Skyttä 2007-09-27 18:01:44 EDT
Created attachment 209091 [details]
Result of moving the XEmacs window around a bit
Comment 3 Robert Peterson 2007-09-28 09:24:14 EDT
Yes, that screenshot is a good representative of what I see.

I haven't checked the console for those messages because I stopped
using vnc.  It was too annoying.  I have started using Remote Desktop
instead, which works properly with xemacs. (Unfortunately, Remote
Desktop only shows one of my two screens; another bugzilla I have open.)
Comment 4 Bug Zapper 2008-05-14 10:05:58 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Robert Peterson 2008-05-14 11:35:09 EDT
This works properly now in F8, so I'm closing this.

Note You need to log in before you can comment on or make changes to this bug.